felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremy Boynes <jboy...@apache.org>
Subject Re: Problem with maven-osgi-plugin snapshot
Date Fri, 08 Dec 2006 20:22:49 GMT
Thanks - I see a new version of the 0.8.0 snapshot but not the 0.9.0  
one:
felix-0.8.0-20061208.195323-2.pom                    08-Dec-2006 11:53

so I still get the same problem.
--
Jeremy

On Dec 8, 2006, at 11:56 AM, Richard S. Hall wrote:

> Oops. I pushed the parent POM, let me know if this solves the  
> issue. Thanks.
>
> -> richard
>
> Jeremy Boynes wrote:
>> A snapshot of the maven plugin has been published to the repo as  
>> version 0.9.0-incubator-SNAPSHOT:
>> http://people.apache.org/repo/m2-snapshot-repository/org/apache/ 
>> felix/plugins/maven-osgi-plugin/0.9.0-incubator-SNAPSHOT/maven- 
>> osgi-plugin-0.9.0-incubator-20061206.161951-1.pom
>>
>> This has a dependency on a parent pom that has not been published  
>> yet:
>>   <parent>
>>     <artifactId>felix</artifactId>
>>     <groupId>org.apache.felix</groupId>
>>     <version>0.9.0-incubator-SNAPSHOT</version>
>>   </parent>
>>
>> By default, Maven will use the latest version of a plugin and  
>> unfortunately this fails with
>>
>> GroupId: org.apache.felix
>> ArtifactId: felix
>> Version: 0.9.0-incubator-SNAPSHOT
>>
>> Reason: Unable to download the artifact from any repository
>>
>>   org.apache.felix:felix:pom:0.9.0-incubator-SNAPSHOT
>>
>> Please could someone deploy all of the 0.9.0 artifacts necessary,  
>> or remove the 0.9.0 version of the plugin.
>>
>> Thanks
>> -- 
>> Jeremy
>>


Mime
View raw message